OpenShot Audio Library | OpenShotAudio: juce::dsp::SIMDNativeOps< int32_t > Struct Reference

OpenShot Audio Library | OpenShotAudio 0.6.0

Loading...
Searching...
No Matches
juce::dsp::SIMDNativeOps< int32_t > Struct Reference

`#include <juce_SIMDNativeOps_avx.h>`

## Public Types
using | vSIMDType = __m256i
using | vSIMDType = int32x4_t
using | fb = SIMDFallbackOps<int32_t, vSIMDType>
using | vSIMDType = __m128i

## Public Member Functions
| DECLARE_AVX_SIMD_CONST (int32_t, kAllBitsSet)
| DECLARE_NEON_SIMD_CONST (int32_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (int32_t, kAllBitsSet)

## Static Public Member Functions
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | expand (int32_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | load (const int32_t *p) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256i value, int32_t *dest) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | add (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | sub (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | mul (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_and (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_or (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_xor (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_andnot (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_not (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | min (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | max (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | equal (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThan (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256i a, __m256i b, __m256i c) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | notEqual (__m256i a, __m256i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256i a, __m256i b) noexcept
static forcedinline int32_t JUCE_VECTOR_CALLTYPE | get (__m256i v, size_t i) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | set (__m256i v, size_t i, int32_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | truncate (__m256i a) noexcept
static forcedinline int32_t JUCE_VECTOR_CALLTYPE | sum (__m256i a) noexcept
static forcedinline vSIMDType | expand (int32_t s) noexcept
static forcedinline vSIMDType | load (const int32_t *a) noexcept
static forcedinline void | store (vSIMDType value, int32_t *a) noexcept
static forcedinline int32_t | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, int32_t s) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline int32_t | sum (vSIMDType a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | vconst (const int32_t *a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | load (const int32_t *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128i v, int32_t *p) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | expand (int32_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | add (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | sub (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_and (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_or (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_xor (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_andnot (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_not (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | equal (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThan (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128i a, __m128i b, __m128i c) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | notEqual (__m128i a, __m128i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128i a, __m128i b) noexcept
static forcedinline int32_t JUCE_VECTOR_CALLTYPE | get (__m128i v, size_t i) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | set (__m128i v, size_t i, int32_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | truncate (__m128i a) noexcept
static forcedinline int32_t JUCE_VECTOR_CALLTYPE | sum (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | mul (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | min (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | max (__m128i a, __m128i b) noexcept

## Detailed Description

Signed 32-bit integer AVX intrinsics.

Signed 32-bit integer NEON intrinsics.

Signed 32-bit integer SSE intrinsics.

Definition at line 467 of file juce_SIMDNativeOps_avx.h.

## Member Typedef Documentation

## ◆ fb

using juce::dsp::SIMDNativeOps< int32_t >::fb = SIMDFallbackOps<int32_t, vSIMDType>

Definition at line 108 of file juce_SIMDNativeOps_neon.h.

## ◆ vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< int32_t >::vSIMDType = __m256i

Definition at line 470 of file juce_SIMDNativeOps_avx.h.

## ◆ vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< int32_t >::vSIMDType = int32x4_t

Definition at line 107 of file juce_SIMDNativeOps_neon.h.

## ◆ vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< int32_t >::vSIMDType = __m128i

Definition at line 453 of file juce_SIMDNativeOps_sse.h.

## Member Function Documentation

## ◆ add() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::add | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 463 of file juce_SIMDNativeOps_sse.h.

## ◆ add() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::add | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 479 of file juce_SIMDNativeOps_avx.h.

## ◆ add() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::add | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 119 of file juce_SIMDNativeOps_neon.h.

## ◆ allEqual() [1/3]

forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::allEqual | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 475 of file juce_SIMDNativeOps_sse.h.

## ◆ allEqual() [2/3]

forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::allEqual | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 494 of file juce_SIMDNativeOps_avx.h.

## ◆ allEqual() [3/3]

forcedinline bool juce::dsp::SIMDNativeOps< int32_t >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 130 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_and() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_and | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 465 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_and() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_and | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 482 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_and() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 122 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_andnot() [1/2]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_andnot | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 468 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_andnot() [2/2]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_andnot | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 485 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_not() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_not | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 469 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_not() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_not | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 486 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_not() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::bit_not | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 126 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_notand()

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 125 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_or() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_or | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 466 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_or() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_or | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 483 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_or() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 123 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_xor() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_xor | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 467 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_xor() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::bit_xor | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 484 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_xor() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 124 of file juce_SIMDNativeOps_neon.h.

## ◆ equal() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::equal | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 470 of file juce_SIMDNativeOps_sse.h.

## ◆ equal() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::equal | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 489 of file juce_SIMDNativeOps_avx.h.

## ◆ equal() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::equal | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 129 of file juce_SIMDNativeOps_neon.h.

## ◆ expand() [1/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::expand | ( | int32_t | s | ) |
| inlinestaticnoexcept

Definition at line 476 of file juce_SIMDNativeOps_avx.h.

## ◆ expand() [2/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::expand | ( | int32_t | s | ) |
| inlinestaticnoexcept

Definition at line 114 of file juce_SIMDNativeOps_neon.h.

## ◆ expand() [3/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::expand | ( | int32_t | s | ) |
| inlinestaticnoexcept

Definition at line 462 of file juce_SIMDNativeOps_sse.h.

## ◆ get() [1/3]

forcedinline int32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::get | ( | __m128i | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 476 of file juce_SIMDNativeOps_sse.h.

## ◆ get() [2/3]

forcedinline int32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::get | ( | __m256i | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 495 of file juce_SIMDNativeOps_avx.h.

## ◆ get() [3/3]

forcedinline int32_t juce::dsp::SIMDNativeOps< int32_t >::get | ( | vSIMDType | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 117 of file juce_SIMDNativeOps_neon.h.

## ◆ greaterThan() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::greaterThan | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 471 of file juce_SIMDNativeOps_sse.h.

## ◆ greaterThan() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::greaterThan | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 490 of file juce_SIMDNativeOps_avx.h.

## ◆ greaterThan() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 132 of file juce_SIMDNativeOps_neon.h.

## ◆ greaterThanOrEqual() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::greaterThanOrEqual | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 472 of file juce_SIMDNativeOps_sse.h.

## ◆ greaterThanOrEqual() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::greaterThanOrEqual | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 491 of file juce_SIMDNativeOps_avx.h.

## ◆ greaterThanOrEqual() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 133 of file juce_SIMDNativeOps_neon.h.

## ◆ load() [1/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::load | ( | const int32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 115 of file juce_SIMDNativeOps_neon.h.

## ◆ load() [2/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::load | ( | const int32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 460 of file juce_SIMDNativeOps_sse.h.

## ◆ load() [3/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::load | ( | const int32_t * | p | ) |
| inlinestaticnoexcept

Definition at line 477 of file juce_SIMDNativeOps_avx.h.

## ◆ max() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::max | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 513 of file juce_SIMDNativeOps_sse.h.

## ◆ max() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::max | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 488 of file juce_SIMDNativeOps_avx.h.

## ◆ max() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::max | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 128 of file juce_SIMDNativeOps_neon.h.

## ◆ min() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::min | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 503 of file juce_SIMDNativeOps_sse.h.

## ◆ min() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::min | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 487 of file juce_SIMDNativeOps_avx.h.

## ◆ min() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::min | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 127 of file juce_SIMDNativeOps_neon.h.

## ◆ mul() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::mul | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 491 of file juce_SIMDNativeOps_sse.h.

## ◆ mul() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::mul | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 481 of file juce_SIMDNativeOps_avx.h.

## ◆ mul() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::mul | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 121 of file juce_SIMDNativeOps_neon.h.

## ◆ multiplyAdd() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::multiplyAdd | ( | __m128i | a,
|  | __m128i | b,
|  | __m128i | c )
| inlinestaticnoexcept

Definition at line 473 of file juce_SIMDNativeOps_sse.h.

## ◆ multiplyAdd() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::multiplyAdd | ( | __m256i | a,
|  | __m256i | b,
|  | __m256i | c )
| inlinestaticnoexcept

Definition at line 492 of file juce_SIMDNativeOps_avx.h.

## ◆ multiplyAdd() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c )
| inlinestaticnoexcept

Definition at line 134 of file juce_SIMDNativeOps_neon.h.

## ◆ notEqual() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::notEqual | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 474 of file juce_SIMDNativeOps_sse.h.

## ◆ notEqual() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::notEqual | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 493 of file juce_SIMDNativeOps_avx.h.

## ◆ notEqual() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 131 of file juce_SIMDNativeOps_neon.h.

## ◆ set() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::set | ( | __m128i | v,
|  | size_t | i,
|  | int32_t | s )
| inlinestaticnoexcept

Definition at line 477 of file juce_SIMDNativeOps_sse.h.

## ◆ set() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::set | ( | __m256i | v,
|  | size_t | i,
|  | int32_t | s )
| inlinestaticnoexcept

Definition at line 496 of file juce_SIMDNativeOps_avx.h.

## ◆ set() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | int32_t | s )
| inlinestaticnoexcept

Definition at line 118 of file juce_SIMDNativeOps_neon.h.

## ◆ store() [1/3]

forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::store | ( | __m128i | v,
|  | int32_t * | p )
| inlinestaticnoexcept

Definition at line 461 of file juce_SIMDNativeOps_sse.h.

## ◆ store() [2/3]

forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::store | ( | __m256i | value,
|  | int32_t * | dest )
| inlinestaticnoexcept

Definition at line 478 of file juce_SIMDNativeOps_avx.h.

## ◆ store() [3/3]

forcedinline void juce::dsp::SIMDNativeOps< int32_t >::store | ( | vSIMDType | value,
|  | int32_t * | a )
| inlinestaticnoexcept

Definition at line 116 of file juce_SIMDNativeOps_neon.h.

## ◆ sub() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::sub | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 464 of file juce_SIMDNativeOps_sse.h.

## ◆ sub() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::sub | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 480 of file juce_SIMDNativeOps_avx.h.

## ◆ sub() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::sub | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 120 of file juce_SIMDNativeOps_neon.h.

## ◆ sum() [1/3]

forcedinline int32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::sum | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 481 of file juce_SIMDNativeOps_sse.h.

## ◆ sum() [2/3]

forcedinline int32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::sum | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 500 of file juce_SIMDNativeOps_avx.h.

## ◆ sum() [3/3]

forcedinline int32_t juce::dsp::SIMDNativeOps< int32_t >::sum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 137 of file juce_SIMDNativeOps_neon.h.

## ◆ truncate() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::truncate | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 478 of file juce_SIMDNativeOps_sse.h.

## ◆ truncate() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::truncate | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 497 of file juce_SIMDNativeOps_avx.h.

## ◆ truncate() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< int32_t >::truncate | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 135 of file juce_SIMDNativeOps_neon.h.

## ◆ vconst()

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int32_t >::vconst | ( | const int32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 459 of file juce_SIMDNativeOps_sse.h.

The documentation for this struct was generated from the following files:

- juce_SIMDNativeOps_avx.h
- juce_SIMDNativeOps_neon.h
- juce_SIMDNativeOps_sse.h